/****************************************************************

Boston University data analysis (BUDA) package 

Description: Buda is a data analysis program for Fourier 
Transform Mass Spectrometry data.  

by Peter B. O'Connor

    Copyright (C) 2000  Peter B. O'Connor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#if !defined(AFX_ARBPLOTBTN_H__DB1363A3_7EBF_11D2_B907_004005A3C9E9__INCLUDED_)
#define AFX_ARBPLOTBTN_H__DB1363A3_7EBF_11D2_B907_004005A3C9E9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ARBPlotBtn.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CARBPlotBtn window

class CARBPlotBtn : public CButton
{
// Construction
public:
	CARBPlotBtn();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CARBPlotBtn)
	public:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	//}}AFX_VIRTUAL

// Implementation
public:
	int MaxYPos;
	int MinYPos;
	int MaxXPos;
	int MinXPos;
	int IntAxisPos;
	void DrawIntensityAxis();
	void Text(CString str, CPoint pt, int just);
	int TicLength;
	int CaptionYPos;
	int TicLabelsYPos;
	int AxisLineYPos;
	struct ArbPacket* pARBPacket;
	CDC* pDC;
	CRect ViewSize;
	void DrawARBEvents();
	void DrawMassAxis();
	virtual ~CARBPlotBtn();

	// Generated message map functions
protected:
	//{{AFX_MSG(CARBPlotBtn)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ARBPLOTBTN_H__DB1363A3_7EBF_11D2_B907_004005A3C9E9__INCLUDED_)
