// ChangeARBDisplay.cpp : implementation file
//
/****************************************************************

Boston University data analysis (BUDA) package 

Description: Buda is a data analysis program for Fourier 
Transform Mass Spectrometry data.  

by Peter B. O'Connor

    Copyright (C) 2000  Peter B. O'Connor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "stdafx.h"
#include "Buda.h"
#include "ChangeARBDisplay.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CChangeARBDisplay dialog


CChangeARBDisplay::CChangeARBDisplay(CWnd* pParent /*=NULL*/)
	: CDialog(CChangeARBDisplay::IDD, pParent)
{
	//{{AFX_DATA_INIT(CChangeARBDisplay)
	m_HiMass = 0.0;
	m_LowMass = 0.0;
	//}}AFX_DATA_INIT
}


void CChangeARBDisplay::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CChangeARBDisplay)
	DDX_Text(pDX, IDC_HIMASS, m_HiMass);
	DDX_Text(pDX, IDC_LOWMASS, m_LowMass);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CChangeARBDisplay, CDialog)
	//{{AFX_MSG_MAP(CChangeARBDisplay)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CChangeARBDisplay message handlers
