// ElementDlg0.cpp : implementation file
//

#include "stdafx.h"
#include "Buda.h"
#include "ElementDlg0.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CElementDlg0 dialog


CElementDlg0::CElementDlg0(CWnd* pParent /*=NULL*/)
	: CDialog(CElementDlg0::IDD, pParent)
{
	//{{AFX_DATA_INIT(CElementDlg0)
	m_ElementName = _T("");
	m_IsoNum = 0;
	//}}AFX_DATA_INIT
}


void CElementDlg0::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CElementDlg0)
	DDX_Control(pDX, IDC_ISOMASSES, m_IsoMassBox);
	DDX_Text(pDX, IDC_ELEMNAME, m_ElementName);
	DDX_Text(pDX, IDC_ISONUM, m_IsoNum);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CElementDlg0, CDialog)
	//{{AFX_MSG_MAP(CElementDlg0)
	ON_LBN_SELCHANGE(IDC_ISOMASSES, OnSelchangeIsomasses)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CElementDlg0 message handlers

BOOL CElementDlg0::OnInitDialog()
{
//first search PeriodTable for ElementName
	//then get index for Element
	int i, ec;
	for (i=0;i<120; i++)
	{
		if (m_PeriodTable[i].ElementName==m_ElementName) break;					
	}

	//create the IsoMass list box
	m_IsoMassBox.ResetContent();
	m_IsoMassBox.InitStorage(10,32);

	//fill the IsoMass ListBox
	//
	CString str, str1, str2, str3;
	for (ec=0; ec<m_PeriodTable[i].NumIsos; ec++)
	{
		str1.Format("%s",m_PeriodTable[i].Isos[ec].Isoname);
		str2.Format("%lf",m_PeriodTable[i].Isos[ec].Isomass);
		str3.Format("%lf",m_PeriodTable[i].Isos[ec].IsoAbund);
		while(str1.GetLength()<13) str1 = " " +str1;
		while(str2.GetLength()<11) str2 = " " +	str2;
		while(str3.GetLength()<9) str3 = " " +str3;
		str = str1 + str2 + str3;

		m_IsoMassBox.AddString(str);
	}

	m_IsoNum = m_PeriodTable[i].Isos[0].IsoNum;
	m_IsoMassBox.SetCurSel(0);

	return TRUE;
}

void CElementDlg0::OnSelchangeIsomasses() 
{
	// TODO: Add your control notification handler code here
	
}
