#if !defined(AFX_ELEMENTALCOMPDLG_H__813D0D20_FB25_11D3_AFFA_0090278ECA2A__INCLUDED_)
#define AFX_ELEMENTALCOMPDLG_H__813D0D20_FB25_11D3_AFFA_0090278ECA2A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ElementalCompDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CElementalCompDlg dialog

class CElementalCompDlg : public CDialog
{
// Construction
public:
	int MaxIndex;
	BOOL CheckValency();
	int m_IonType;
	void OnRadicalCation();
	void OnMplusH();
	BOOL IsType1Element(int index);
	BOOL IsType2Element(int index);
	BOOL IsType3Element(int index);
	BOOL IsType4Element(int index);
	BOOL NitrogenRule(double mass);
	BOOL RingsPlusDoubleBonds(double mass, double *rdb);
	void ClearResults();
	int NumHits;
	void AddCompToTable(double mass);
	int comp[10];
	void Composition(int index);
	CString MassComp[8192];
	double MassList[8192];
	float MassRDB[8192];
	void InitializeMemberVariables();
	CElementalCompDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CElementalCompDlg)
	enum { IDD = IDD_ELEMCOMP_DIALOG };
	int		m_ChargeState;
	CString	m_Elem[10];
	double	m_MeasuredMass;
	double	m_Mass[10];
	int		m_Max[10];
	int		m_Min[10];
	double	m_Tolerance;
	int		m_MaxRplusDB;
	BOOL	m_RplusDB;
	BOOL	m_NitrogenRule;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CElementalCompDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CElementalCompDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnCalculate();
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ELEMENTALCOMPDLG_H__813D0D20_FB25_11D3_AFFA_0090278ECA2A__INCLUDED_)
