// FFTOptionsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Buda.h"
#include "FFTOptionsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFFTOptionsDlg dialog


CFFTOptionsDlg::CFFTOptionsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFFTOptionsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFFTOptionsDlg)
	m_ApodString = _T("");
	m_PeakPick = FALSE;
	m_NumZeroFills = 0;
	m_AutoCalcCS = FALSE;
	//}}AFX_DATA_INIT
}


void CFFTOptionsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFFTOptionsDlg)
	DDX_CBString(pDX, IDC_APODCOMBO, m_ApodString);
	DDV_MaxChars(pDX, m_ApodString, 30);
	DDX_Check(pDX, IDC_CHECK1, m_PeakPick);
	DDX_Text(pDX, IDC_EDIT1, m_NumZeroFills);
	DDV_MinMaxInt(pDX, m_NumZeroFills, 0, 16);
	DDX_Check(pDX, IDC_AUTOCALCCS, m_AutoCalcCS);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFFTOptionsDlg, CDialog)
	//{{AFX_MSG_MAP(CFFTOptionsDlg)
	ON_BN_CLICKED(IDC_AUTOCALCCS, OnAutocalccs)
	ON_BN_CLICKED(IDC_SAVE_AS_DEFAULTS, OnSaveAsDefaults)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFFTOptionsDlg message handlers


void CFFTOptionsDlg::OnSaveAsDefaults() 
{
	// TODO: Add your control notification handler code here
	
}
