// PlotSpecCtrl.cpp : implementation file
//
/****************************************************************

Boston University data analysis (BUDA) package 

Description: Buda is a data analysis program for Fourier 
Transform Mass Spectrometry data.  

by Peter B. O'Connor

    Copyright (C) 2000  Peter B. O'Connor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "stdafx.h"
#include "Buda.h"
//#include "buttons.h"
#include "PlotSpecCtrl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPlotSpecCtrl

CPlotSpecCtrl::CPlotSpecCtrl()
{
}

CPlotSpecCtrl::~CPlotSpecCtrl()
{
}


BEGIN_MESSAGE_MAP(CPlotSpecCtrl, CStatic)
	//{{AFX_MSG_MAP(CPlotSpecCtrl)
	//ON_WM_DRAWITEM()
	ON_WM_DRAWITEM_REFLECT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPlotSpecCtrl message handlers

afx_msg void CPlotSpecCtrl::DrawItem ( LPDRAWITEMSTRUCT lpDrawItemStruct )
{
	CRect rc=lpDrawItemStruct->rcItem;
	CDC* pDC = CDC::FromHandle(lpDrawItemStruct->hDC);
	pDC->MoveTo(rc.top, rc.right);
	pDC->LineTo(rc.bottom,rc.left);
}
