// SineWaveDlg.cpp : implementation file
//
/*
This file is a test program that is accessed by a hidden debug
menu.  It is currently non functional.
*/
/****************************************************************

Boston University data analysis (BUDA) package 

Description: Buda is a data analysis program for Fourier 
Transform Mass Spectrometry data.  

by Peter B. O'Connor

    Copyright (C) 2000  Peter B. O'Connor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "BudaMaster.h"
#include "Buda.h"
#include "SineWaveDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSineWaveDlg dialog


CSineWaveDlg::CSineWaveDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSineWaveDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSineWaveDlg)
	mass = 0.0;
	freq = 0.0;
	amp = 0.0;
	acqrate = 0.0;
	//}}AFX_DATA_INIT
}


void CSineWaveDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSineWaveDlg)
	DDX_Text(pDX, IDC_SINE_MASS, mass);
	DDV_MinMaxDouble(pDX, mass, 0., 1000000.);
	DDX_Text(pDX, IDC_SINE_FREQ, freq);
	DDV_MinMaxDouble(pDX, freq, 0., 100000000.);
	DDX_Text(pDX, IDC_SINE_AMP, amp);
	DDX_Text(pDX, IDC_SINE_ACQRATE, acqrate);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSineWaveDlg, CDialog)
	//{{AFX_MSG_MAP(CSineWaveDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSineWaveDlg message handlers
