/****************************************************************

Boston University data analysis (BUDA) package 

Description: Buda is a data analysis program for Fourier 
Transform Mass Spectrometry data.  

by Peter B. O'Connor

    Copyright (C) 2000  Peter B. O'Connor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#if !defined(AFX_ADDUSERDLG_H__33AAA241_CD30_11D1_9106_44455354616F__INCLUDED_)
#define AFX_ADDUSERDLG_H__33AAA241_CD30_11D1_9106_44455354616F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// AddUserDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAddUserDlg dialog

class CAddUserDlg : public CDialog
{
// Construction
public:
	int ChangePath;
	BOOL CheckFile();
	int create_flag;
	BOOL OnInitDialog();
	CBudaApp* pApp;
	BOOL CreateUserSetupFile();
    BOOL CreateUserDirectory();
	void SaveUserIDFileEntry();
	CString OldUserID;
	CString OldUserDirectory;
	CString OldUserSetupFile;
	CAddUserDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CAddUserDlg)
	enum { IDD = IDD_ADD_USER };
	CString	m_UserDirectory;
	CString	m_NewUserID;
	CString	m_UserSetupFile;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddUserDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddUserDlg)
	virtual void OnOK();
	afx_msg void OnKillfocusUserid();
	afx_msg void OnKillfocusUserdirectory();
	afx_msg void OnKillfocusUsersetupfile();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADDUSERDLG_H__33AAA241_CD30_11D1_9106_44455354616F__INCLUDED_)
