#if !defined(AFX_CSMAPDLG_H__CA3371C0_607B_11D4_AFFB_0090278ECA2A__INCLUDED_)
#define AFX_CSMAPDLG_H__CA3371C0_607B_11D4_AFFB_0090278ECA2A__INCLUDED_

#include "ChargeStateDetermination.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CSMapDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCSMapDlg dialog
#include "CSMapBtn.h"

class CCSMapDlg : public CDialog
{
// Construction
public:
	void UpdateCSDetMethod();
	void UpdateCSDetMethodCombo();
	void UpdateMaxCharge();
	void UpdateCSMap();
	float m_MinMass;
	float m_MaxMass;
	long m_MaxPeak;
	CBudaDoc* pDoc;
	CChargeStateDetermination CSDet;
	CCSMapDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CCSMapDlg)
	enum { IDD = IDD_CHARGE_STATE_MAP };
	CCSMapBtn	m_CSMapBtn;
	CButton m_DeltaMassBtn;
	CButton m_PattersonBtn;
	CButton m_FourierBtn;
	CButton m_ComboBtn;
	CButton m_AutoCorrBtn;
	CButton m_CrossCorrBtn;
	CButton m_EntropyBtn;
	CButton m_Spare1Btn;
	CString	m_MaxChargeString;
	CString	m_CSValueString;
	CString	m_MassStr;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCSMapDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCSMapDlg)
	afx_msg void OnSelchangeCsdetMethodCombo();
	afx_msg void OnDumpCsmapToText();
	afx_msg void OnChangeMaxcharge();
	virtual BOOL OnInitDialog();
	afx_msg void OnCsDeltaMass();
	afx_msg void OnCsCombo();
	afx_msg void OnCsAutocorrelation();
	afx_msg void OnCsFourier();
	afx_msg void OnCsPattOfFourier();
	afx_msg void OnCsPatterson();
	afx_msg void OnCsEntropy();
	afx_msg void OnCsSpare1();
	afx_msg void OnKillfocusMaxcharge();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CSMAPDLG_H__CA3371C0_607B_11D4_AFFB_0090278ECA2A__INCLUDED_)
