/****************************************************************

Boston University data analysis (BUDA) package 

Description: Buda is a data analysis program for Fourier 
Transform Mass Spectrometry data.  

by Peter B. O'Connor

    Copyright (C) 2000  Peter B. O'Connor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#if !defined(AFX_DACCHANNELLIST_H__44E80B23_5E9D_11D2_B907_8F2EF370B878__INCLUDED_)
#define AFX_DACCHANNELLIST_H__44E80B23_5E9D_11D2_B907_8F2EF370B878__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DACChannelList.h : header file
//

#define CANCEL 1
#define NORMAL 0
#define	SELECT_CURRENT 1
#define	SELECT_UNUSED 0


/////////////////////////////////////////////////////////////////////////////
// CDACChannelList dialog

class CDACChannelList : public CDialog
{
// Construction
public:
	int InFlags;
	int ChannelList[40];
	int OutFlag;
	BOOL OnInitDialog();
	struct sys* pSys;
	int Channel;
	CBudaDoc* pDoc;
	struct PS* pPS;
	CDACChannelList(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDACChannelList)
	enum { IDD = IDD_DACCHANNELS };
	CListBox	m_DACList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDACChannelList)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDACChannelList)
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnDblclkList1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DACCHANNELLIST_H__44E80B23_5E9D_11D2_B907_8F2EF370B878__INCLUDED_)
