#if !defined(AFX_DEBUGDIALOG_H__76696845_ADDD_44B4_998D_D77504DAA286__INCLUDED_)
#define AFX_DEBUGDIALOG_H__76696845_ADDD_44B4_998D_D77504DAA286__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DebugDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDebugDialog dialog

class CDebugDialog : public CDialog
{
// Construction
public:
	void UpdateDlgData();
	CDebugDialog(CWnd* pParent = NULL);   // standard constructor

	double mtf_mass;
	double ftm_mtf_mass;
	double ftm_freq;
	double mtf_ftm_freq;
	long mtp_mass;
	double ptm_mtp_mass;
	double ptm_mtp_mass2;
	double ptm_mtp_mass3;
	long ftp_freq;
	double ptf_ftp_freq;
	double ptm_ftp_freq;
	double ptm_ftp_freq2;
	double ptm_ftp_freq3;
	CBudaDoc* pDoc;

// Dialog Data
	//{{AFX_DATA(CDebugDialog)
	enum { IDD = IDD_DEBUG_FREQTOMASS_DIALOG };
	CString	m_FtmFreqTxt;
	CString	m_FtmMtfMassTxt;
	CString	m_MtfMassTxt;
	CString	m_MtfFtmFreqTxt;
	double	m_Mass;
	double	m_Freq;
	CString	m_MtpMassTxt;
	CString	m_PtmMtpMassTxt;
	CString	m_FtpFreqTxt;
	CString	m_PtfFtpFreqTxt;
	CString	m_PtmFtpFreqTxt;
	CString	m_PtmMtpMass2Txt;
	CString	m_PtmMtpMass3Txt;
	CString	m_PtmFtpFreq2Txt;
	CString	m_PtmFtpFreq3Txt;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDebugDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDebugDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnChangeFtmFreqBox();
	afx_msg void OnChangeFtmMassBox();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEBUGDIALOG_H__76696845_ADDD_44B4_998D_D77504DAA286__INCLUDED_)
