#if !defined(AFX_DECONOPTIONS_H__570B76E1_049E_11D4_AFFA_0090278ECA2A__INCLUDED_)
#define AFX_DECONOPTIONS_H__570B76E1_049E_11D4_AFFA_0090278ECA2A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DeconOptions.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDeconOptions dialog

class CDeconOptions : public CDialog
{
// Construction
public:
	int m_ReportedZ;
	UINT m_DeconMethod;
	CDeconOptions(CWnd* pParent = NULL);   // standard constructor
	CButton m_DeconFennBtn;
	CButton m_DeconReinholdBtn;
	CButton m_DeconOConnorBtn;
	CButton m_DeconZhangBtn;
	CButton m_Z0;
	CButton m_Z1;

// Dialog Data
	//{{AFX_DATA(CDeconOptions)
	enum { IDD = IDD_DECONOPTIONS_2 };
	double	m_HighMass;
	double	m_LowMass;
	UINT	m_MaxCharge;
	double	m_DeconRes;
	double	m_AdductMass;
	UINT	m_MinCharge;
	BOOL	m_IsotopicallyResolved;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDeconOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDeconOptions)
	virtual BOOL OnInitDialog();
	afx_msg void OnDeconmethodFenn();
	afx_msg void OnDeconmethodOconnor();
	afx_msg void OnDeconmethodReinhold();
	afx_msg void OnDeconmethodZhang();
	afx_msg void OnIsotopicallyResolved();
	afx_msg void OnReportedZ0();
	afx_msg void OnReportedZ1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DECONOPTIONS_H__570B76E1_049E_11D4_AFFA_0090278ECA2A__INCLUDED_)
