// ElemCompDlg.h : header file
//

#if !defined(AFX_ELEMCOMPDLG_H__50A0FBA8_F9E9_11D3_AFFA_0090278ECA2A__INCLUDED_)
#define AFX_ELEMCOMPDLG_H__50A0FBA8_F9E9_11D3_AFFA_0090278ECA2A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CElemCompDlg dialog

class CElemCompDlg : public CDialog
{
// Construction
public:
	void ClearResults();
	int NumHits;
	void AddCompToTable(double mass);
	int comp[10];
	void Composition(int index);
	CString MassComp[8192];
	double MassList[8192];
	void InitializeMemberVariables();
	CElemCompDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CElemCompDlg)
	enum { IDD = IDD_ELEMCOMP_DIALOG };
	int		m_ChargeState;
	CString	m_Elem[10];
	double	m_MeasuredMass;
	double	m_Mass[10];
	int		m_Max[10];
	int		m_Min[10];
	double	m_Tolerance;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CElemCompDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CElemCompDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCalculate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ELEMCOMPDLG_H__50A0FBA8_F9E9_11D3_AFFA_0090278ECA2A__INCLUDED_)
