// FilterDlg.cpp : implementation file
//

#include "stdafx.h"
#include "buda.h"
#include "FilterDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFilterDlg property page

IMPLEMENT_DYNCREATE(CFilterDlg, CPropertyPage)

CFilterDlg::CFilterDlg() : CPropertyPage(CFilterDlg::IDD)
{
	//{{AFX_DATA_INIT(CFilterDlg)
	m_BoxcarAvg = FALSE;
	m_BoxcarPoints = 0;
	//}}AFX_DATA_INIT
}

CFilterDlg::~CFilterDlg()
{
}

void CFilterDlg::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFilterDlg)
	DDX_Check(pDX, IDC_BOXCAR, m_BoxcarAvg);
	DDX_Text(pDX, IDC_BOXCAR_POINTS, m_BoxcarPoints);
	DDV_MinMaxInt(pDX, m_BoxcarPoints, 0, 1000);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFilterDlg, CPropertyPage)
	//{{AFX_MSG_MAP(CFilterDlg)
	ON_BN_CLICKED(IDC_SAVE_AS_DEFAULTS, OnSaveAsDefaults)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFilterDlg message handlers

void CFilterDlg::OnSaveAsDefaults() 
{
	// TODO: Add your control notification handler code here
	
}
