// MascotExportDialog.cpp : implementation file
//

#include "stdafx.h"
#include "buda.h"
#include "MascotExportDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMascotExportDialog dialog


CMascotExportDialog::CMascotExportDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CMascotExportDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMascotExportDialog)
	m_Comment = _T("");
	m_UserEmailAddress = _T("");
	m_Username = _T("");
	m_ChargeState = 0;
	m_PrecursorMass = 0.0;
	m_PrecursorIonName = _T("");
	//}}AFX_DATA_INIT
}


void CMascotExportDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMascotExportDialog)
	DDX_Text(pDX, IDC_MASCOT_COMMENT, m_Comment);
	DDX_Text(pDX, IDC_MASCOT_USEREMAIL, m_UserEmailAddress);
	DDX_Text(pDX, IDC_MASCOT_USERNAME, m_Username);
	DDX_Text(pDX, IDC_PRECURSOR_ION_CHARGESTATE, m_ChargeState);
	DDV_MinMaxInt(pDX, m_ChargeState, 1, 1000);
	DDX_Text(pDX, IDC_PRECURSOR_ION_MASS, m_PrecursorMass);
	DDV_MinMaxDouble(pDX, m_PrecursorMass, -100000., 100000.);
	DDX_Text(pDX, IDC_PRECURSOR_ION_NAME, m_PrecursorIonName);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMascotExportDialog, CDialog)
	//{{AFX_MSG_MAP(CMascotExportDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMascotExportDialog message handlers
