// SelectOldSourceDlg.cpp : implementation file
//
/****************************************************************

Boston University data analysis (BUDA) package 

Description: Buda is a data analysis program for Fourier 
Transform Mass Spectrometry data.  

by Peter B. O'Connor

    Copyright (C) 2000  Peter B. O'Connor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "stdafx.h"
#include "Buda.h"
#include "SelectOldSourceDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSelectOldSourceDlg dialog


CSelectOldSourceDlg::CSelectOldSourceDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSelectOldSourceDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSelectOldSourceDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_SourceType = 0;
}


void CSelectOldSourceDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSelectOldSourceDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSelectOldSourceDlg, CDialog)
	//{{AFX_MSG_MAP(CSelectOldSourceDlg)
	ON_BN_CLICKED(IDEI, OnEi)
	ON_BN_CLICKED(IDESI, OnEsi)
	ON_BN_CLICKED(IDMALDI, OnMaldi)
	ON_WM_CLOSE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSelectOldSourceDlg message handlers

void CSelectOldSourceDlg::OnEi() 
{
	m_SourceType = 0;
	OnOK();
}

void CSelectOldSourceDlg::OnEsi() 
{
	m_SourceType = 2;
	OnOK();
}

void CSelectOldSourceDlg::OnMaldi() 
{
	m_SourceType = 1;
	OnOK();
}

void CSelectOldSourceDlg::OnClose() 
{
	return;	
}
