/****************************************************************

Boston University data analysis (BUDA) package 

Description: Buda is a data analysis program for Fourier 
Transform Mass Spectrometry data.  

by Peter B. O'Connor

    Copyright (C) 2000  Peter B. O'Connor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#if !defined(AFX_SETSCALEFACTORDLG_H__DE34E140_C734_11D2_B907_004005A3C9E9__INCLUDED_)
#define AFX_SETSCALEFACTORDLG_H__DE34E140_C734_11D2_B907_004005A3C9E9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SetScaleFactorDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSetScaleFactorDlg dialog

class CSetScaleFactorDlg : public CDialog
{
// Construction
public:
	float OldScaleFactor;
	float ScaleFactor;
	float VScale;
	CSetScaleFactorDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSetScaleFactorDlg)
	enum { IDD = IDD_SETSCALEFACTOR };
	CEdit	m_NewScaleFactorEdit;
	CString	m_CurrScaleFactorStr;
	CString	m_NewScaleFactorString;
	CString	m_GlobScaleFactor;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSetScaleFactorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSetScaleFactorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnKillfocusNewscalefactor();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETSCALEFACTORDLG_H__DE34E140_C734_11D2_B907_004005A3C9E9__INCLUDED_)
