/****************************************************************

Boston University data analysis (BUDA) package 

Description: Buda is a data analysis program for Fourier 
Transform Mass Spectrometry data.  

by Peter B. O'Connor

    Copyright (C) 2000  Peter B. O'Connor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
// StatusProgress.h : header file
//

#if !defined(STATUSPROGRESS_H)
#define STATUSPROGRESS_H

/////////////////////////////////////////////////////////////////////////////
// CStatusProgress window
#include "stdafx.h"
#include <afxcview.h>
#include <afxext.h>
#include "StatusBar.h"

class CStatusProgress : public CProgressCtrl
{
// Construction
public:
	CStatusProgress();
	BOOL Create(CStatusBar * parent, UINT id, DWORD style);
// Attributes
public:

// Operations
public:
	__inline void Reposition() { CStatusControl::reposition(this); }
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStatusProgress)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CStatusProgress();

	// Generated message map functions
protected:
	//{{AFX_MSG(CStatusProgress)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

#endif //STATUSPROGRESS_H
/////////////////////////////////////////////////////////////////////////////
